jQuery.fn.dragwithstatus = function(options){
  //Defining default values and overriding with options
  var defaultvalues = jQuery.extend({
    border: "5px outset",
    cursor: "move", opacity: 0.5,
    statusinfo: true
  }, options);
  return this.each(function(){
    $(this).css({
      border: defaultvalues.border,
      cursor: defaultvalues.cursor
    });
    $(this).draggable({
      start: function(event, ui){
        $(this).css({
          opacity: defaultvalues.opacity
        });
      },
      stop: function(event, ui){
        status = "";
        $(this).css({
          opacity: 1
        });
      },
      drag: function(event, ui){
        if (defaultvalues.statusinfo) 
          status = "X/Y-Coordinates: " +
          event.pageX + "/" +
          event.pageY;
      }
    });
  });
};
