jQuery.fn.rjsTwitter=function(options){
  var defaultvalues = jQuery.extend({
    background: "white",
    color:"black" ,
    fontSize : 12,
    fontFamily :"'Times New Roman',Times,serif",
    nameDisplayed:true,
    screenNameDisplayed:true,
    numberTweets:10,
    screenname:"rjsedv",
    idDisplayed:false,
    imageDisplayed:true
}, options);
  // Return objects of the type jQuery
  return this.each(function(){
    var obj=$(this);
    // compose JSON URL to Twitter
    var url = "http://twitter.com/status/user_timeline/"
      + defaultvalues.screenname+".json?count="
      + defaultvalues.numberTweets + "&callback=?";
    jQuery.getJSON(url,
      function(data){
        var name="";
        var screen_name="";
        var profile_image_url=""; 
        var id="";
    // Konfiguration after Default values or options on calling  
        obj.css({
          width:defaultvalues.width,
          height:defaultvalues.height,
          backgroundColor:defaultvalues.background,
          color:defaultvalues.color,
          fontSize:defaultvalues.fontSize,
          fontFamily:defaultvalues.fontFamily
        });
        // Determing user data
        jQuery.each(data[0].user, 
          function(index, value) {
            if((index=="name")  && (name=="")){
              name=value;
            }
            if((index=="screen_name")  && (screen_name=="")) {
              screen_name=value;
            }
            if((index=="profile_image_url") 
              && (profile_image_url=="")) {
              profile_image_url=value;
            }
            if((index=="id") && (id=="")) {
              id=value;
            }
          });
          var titel="";
          // Display screen name?
          if(defaultvalues.screenNameDisplayed)
            title = "<h1>The Twitter Tweets of " + 
            screen_name + "</h1>";
          else
            title = "<h1>Twitter Tweets</h1>";  
          title +=  "<br />";
          // Display name?      
          if(defaultvalues.nameDisplayed)
            titel += "Name: " + name + "<br />";
          // Display ID?    
          if(defaultvalues.idDisplayed)
            title += "ID: " + id;
          title +=  "<hr />";
          obj.html(title);
          // Display image?
          if ((profile_image_url!="") && 
            defaultvalues.imageDisplayed)
            obj.append(
              "<img src='" + profile_image_url + "' /><hr />");
          // The specific tweets 
          for(i = 0; i < data.length; i++) {
            jQuery.each(data[i], function(index, value) {
              if(index=="text")  {
                obj.append(value + "<br />");
              }
              if(index=="created_at") {
                obj.append("Created: " + 
                  value + "<hr />");
              }
            });
          } // End for - Tweets
        });
      });
}; 
